Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 229611 - gnome-base/libbonoboui-2.22.0 fails to compile
Summary: gnome-base/libbonoboui-2.22.0 fails to compile
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-26 14:16 UTC by Andriy Baranskyy
Modified: 2008-07-31 21:43 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
libbonoboui-2.22.0 build log (build.log,161.18 KB, text/plain)
2008-06-26 16:29 UTC, Andriy Baranskyy
Details
gnome-base/libbonoboui-2.20.0 build.log (build.log,149.25 KB, text/plain)
2008-07-02 04:14 UTC, Lachlan Pease
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Baranskyy 2008-06-26 14:16:58 UTC
gnome-base/libbonoboui-2.22.0 fails to compile with the following message:
i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I.. -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare -D_REENTRANT -DORBIT2=1 -pthread -I/usr/include/libgnomecanvas-2.0 -I/usr/include/libart-2.0 -I/usr/include/pango-1.0 -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/libbonobo-2.0 -I/usr/include/orbit-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/libgnome-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/gnome-vfs-module-2.0 -DPREFIX=\"/usr\" -DPLUGIN_DIR=\"\" -DBONOBO_UI_INTERNAL -DBONOBO_UIDIR=\"/usr/share/gnome-2.0/ui/\" -DBONOBO_LIBDIR=\"/usr/lib\" -DBONOBO_DATADIR=\"/usr/share\" -DBONOBO_PIXMAPDIR=\"/usr/share/pixmaps\" -DBONOBO_BINDIR=\"/usr/bin\" -DBONOBO_LOCALSTATEDIR=\"/var/lib\" -DBONOBO_LOCALEDIR=\"/usr/share/locale\" -DBONOBO_EXPLICIT_TRANSLATION_DOMAIN=GETTEXT_PACKAGE -DG_LOG_DOMAIN=\"Bonobo\" -DVERSION=\"2.22.0\" -UBONOBO_DISABLE_DEPRECATED -UBONOBO_UI_DISABLE_DEPRECATED -O2 -march=i686 -pipe -MT bonobo-ui-toolbar-toggle-button-item.lo -MD -MP -MF .deps/bonobo-ui-toolbar-toggle-button-item.Tpo -c bonobo-ui-toolbar-toggle-button-item.c -o bonobo-ui-toolbar-toggle-button-item.o >/dev/null 2>&1
mv -f .deps/bonobo-ui-toolbar-toggle-button-item.Tpo .deps/bonobo-ui-toolbar-toggle-button-item.Plo
make[2]: Leaving directory `/var/tmp/portage/gnome-base/libbonoboui-2.22.0/work/libbonoboui-2.22.0/bonobo'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/gnome-base/libbonoboui-2.22.0/work/libbonoboui-2.22.0'
make: *** [all] Error 2
 *
 * ERROR: gnome-base/libbonoboui-2.22.0 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2611:  Called gnome2_src_compile
 *             environment, line 1999:  Called die
 * The specific snippet of code:
 *       emake || die "compile failure"
 *  The die message:
 *   compile failure
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/gnome-base/libbonoboui-2.22.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/gnome-base/libbonoboui-2.22.0/temp/environment'.
 *

Here is emerge --info:
Portage 2.2_rc1 (default-linux/x86/2007.0, gcc-4.3.1, glibc-2.8_p20080602-r0, 2.6.25-tuxonice-r5 i686)
=================================================================
System uname: Linux-2.6.25-tuxonice-r5-i686-Intel-R-_Core-TM-2_CPU_T5500_@_1.66GHz-with-glibc2.0
Timestamp of tree: Thu, 26 Jun 2008 12:35:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.5.2-r5
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.62
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r2
sys-devel/gcc-config: 1.4.0-r2
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r4
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/4.0/env /usr/kde/4.0/share/config /usr/kde/4.0/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks parallel-fetch preserve-libs sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS=""
LINGUAS="en pl uk be de"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dfx 3dnow 3dnowext 7zip X Xaw3d a52 aac aalib accessibility acl acpi adns alsa amr amrnb amrr amrwb ao arts auto-completion autoipd automount avahi bash-completion bidi bluetooth branding bzip2 c++ cairo caps cddb cdparanoia cisco cli cpudetection cracklib crypt css cups curl daap dbus dga directfb divx djvu dri dts dv dvd dvdnav dvdr dvdread emovix enca encode exif fam fax fbcon ffmpeg firefox flac font-server fontconfig fortran ftp gd gdbm geoip ggi gif glibglitz gmail gmedia gnutls gpg2-experimental gphoto2 gpm gsm gtk hal htmlhandbook http hyperestraier iconv icq idn imagemagick inotify ipod ipv6 ipw3945 isdnlog java javascript jpeg jpeg2k justify kde kdrive kerberos ladspa lame laptop latex libcaca libsamplerate libwww lilo live lm_sensors lzo mad matroska matrox mbrola md5sum mdnsresponder-compat midi mjpeg mmap mmx mmxext mng modplug motif mp2 mp3 mp4 mp4live mpeg mpeg2 mplayer msn mtp mudflap musepack musicbrainzmysql nas ncurses neXt net netbeans netboot network network-cron networking nfs nis nls nptl nptlonly nsplugin ntp nvidia nvram nvtv obex odbc ogg openal openct openexr opengl openmp openssh openvpn oss overlays pch pcmcia pcre pcsc-lite pda pdf perl pic player plotutils plugins pmu png portaudio pppd pulseaudiopython qt-static qt3 qt3support qt4 quicktime radio rar raw readline real realmedia reflection reiser4 reiserfs rss rtc samba sasl scanner sdl session skey slang slp smartcard sndfile snmp socks5 speech speex spell spl sql sqlite sqlite3 srt sse sse2 ssl ssse3 svg svga tcpd tetex tga theora threads tiff timiditytk tools truetype unicode usb v4l v4l2 vcd vidix visualization vorbis wav wavpack wifi win32codecs wma wmf wmp wxwindows x264 x86 xanim xcb xcomposite xine xinerama xml xorg xpm xprint xulrunner xv xvid xvmc yv12 zeroconf zip zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks                   iec958 ioplug ladspa lfloat linear meter mulaw multi null plug                   rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="nikon" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en pl uk be de" USERLAND="GNU" VIDEO_CARDS="nvidia nv vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Reproducible: Always
Comment 1 Rafał Mużyło 2008-06-26 14:31:38 UTC
It looks like the error was a few lines further back.
Comment 2 Andriy Baranskyy 2008-06-26 14:56:06 UTC
Sorry for sloppiness. Here is the full error:
i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I.. -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare -D_REENTRANT -DORBIT2=1 -pthread -I/usr/include/libgnomecanvas-2.0 -I/usr/include/libart-2.0 -I/usr/include/pango-1.0 -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/libbonobo-2.0 -I/usr/include/orbit-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/libgnome-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/gnome-vfs-module-2.0 -DPREFIX=\"/usr\" -DPLUGIN_DIR=\"\" -DBONOBO_UI_INTERNAL -DBONOBO_UIDIR=\"/usr/share/gnome-2.0/ui/\" -DBONOBO_LIBDIR=\"/usr/lib\" -DBONOBO_DATADIR=\"/usr/share\" -DBONOBO_PIXMAPDIR=\"/usr/share/pixmaps\" -DBONOBO_BINDIR=\"/usr/bin\" -DBONOBO_LOCALSTATEDIR=\"/var/lib\" -DBONOBO_LOCALEDIR=\"/usr/share/locale\" -DBONOBO_EXPLICIT_TRANSLATION_DOMAIN=GETTEXT_PACKAGE -DG_LOG_DOMAIN=\"Bonobo\" -DVERSION=\"2.22.0\" -UBONOBO_DISABLE_DEPRECATED -UBONOBO_UI_DISABLE_DEPRECATED -O2 -march=i686 -pipe -MT bonobo-ui-toolbar-item.lo -MD -MP -MF .deps/bonobo-ui-toolbar-item.Tpo -c bonobo-ui-toolbar-item.c -o bonobo-ui-toolbar-item.o >/dev/null 2>&1
bonobo-ui-toolbar-control-item.c: In function 'set_control_property_bag_gint':
bonobo-ui-toolbar-control-item.c:61: error: expected expression before 'do'
make[2]: *** [bonobo-ui-toolbar-control-item.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
 i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I.. -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare -D_REENTRANT -DORBIT2=1 -pthread -I/usr/include/libgnomecanvas-2.0 -I/usr/include/libart-2.0 -I/usr/include/pango-1.0 -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/pixman-1 -I/usr/include/libbonobo-2.0 -I/usr/include/orbit-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/libgnome-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/gnome-vfs-module-2.0 -DPREFIX=\"/usr\" -DPLUGIN_DIR=\"\" -DBONOBO_UI_INTERNAL -DBONOBO_UIDIR=\"/usr/share/gnome-2.0/ui/\" -DBONOBO_LIBDIR=\"/usr/lib\" -DBONOBO_DATADIR=\"/usr/share\" -DBONOBO_PIXMAPDIR=\"/usr/share/pixmaps\" -DBONOBO_BINDIR=\"/usr/bin\" -DBONOBO_LOCALSTATEDIR=\"/var/lib\" -DBONOBO_LOCALEDIR=\"/usr/share/locale\" -DBONOBO_EXPLICIT_TRANSLATION_DOMAIN=GETTEXT_PACKAGE -DG_LOG_DOMAIN=\"Bonobo\" -DVERSION=\"2.22.0\" -UBONOBO_DISABLE_DEPRECATED -UBONOBO_UI_DISABLE_DEPRECATED -O2 -march=i686 -pipe -MT bonobo-ui-toolbar-button-item.lo -MD -MP -MF .deps/bonobo-ui-toolbar-button-item.Tpo -c bonobo-ui-toolbar-button-item.c -o bonobo-ui-toolbar-button-item.o >/dev/null 2>&1
mv -f .deps/bonobo-ui-toolbar-item.Tpo .deps/bonobo-ui-toolbar-item.Plo
mv -f .deps/bonobo-ui-toolbar-button-item.Tpo .deps/bonobo-ui-toolbar-button-item.Plo
make[2]: Leaving directory `/var/tmp/portage/gnome-base/libbonoboui-2.22.0/work/libbonoboui-2.22.0/bonobo'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/gnome-base/libbonoboui-2.22.0/work/libbonoboui-2.22.0'
make: *** [all] Error 2
Comment 3 Rémi Cardona gentoo-dev 2008-06-26 16:23:11 UTC
Could you please attach the full build.log as instructed by portage?

Thanks
Comment 4 Andriy Baranskyy 2008-06-26 16:29:09 UTC
Created attachment 158525 [details]
libbonoboui-2.22.0 build log
Comment 5 Andriy Baranskyy 2008-06-26 16:29:34 UTC
(In reply to comment #3)
> Could you please attach the full build.log as instructed by portage?
> 
> Thanks
> 
Here you are
Comment 6 Lachlan Pease 2008-07-02 04:11:15 UTC
I'm also getting this error. Attaching my build.log.

emerge --info:
Portage 2.1.4.4 (default-linux/x86/2007.0, gcc-3.4.6, glibc-2.6.1-r0, 2.6.20-gentoo-r8 i686)
=================================================================
System uname: 2.6.20-gentoo-r8 i686 AMD Athlon(tm) XP 2800+
Timestamp of tree: Mon, 30 Jun 2008 10:30:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.0.33-r1
dev-lang/python:     2.3.5-r3, 2.4.4-r13
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -fomit-frame-pointer -march=athlon-xp -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /var/bind"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -fomit-frame-pointer -march=athlon-xp -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.gentoo.or.kr/ http://gentoo.osuosl.org http://mirror.pacific.net.au/linux/Gentoo/ ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/portage/local/layman/musicbrainz /usr/portage/local/layman/nx /usr/portage/local/layman/webapps-experimental"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X aac acl acpi alsa asf authdaemond bash-completion berkdb bzip2 cddb cdparanoia cdr cgi cli cracklib crypt ctype cups dbus disk-partition divx4linux doc dri dts dv dvd dvdr dvdread encode enscript exif fam fastcgi ffmpeg flac fortran gd-external gif gnome gpm gtk hal iconv imagemagick isdnlog jpeg justify libwww logrotate mad memcache midi mjpeg mmap mmx mmxext mng mono mp3 mpeg mudflap musepack musicbrainz mysql ncurses nls nptl nptlonly nvidia ogg opengl openmp oss pam pcre perl php plugins png pppd python quicktime readline real reflection rtc rtsp samba sdl sdl-image session shout speex spl sse ssl startup-notification swat tcpd theora threads tiff transcode truetype unicode userlocales v4l v4l2 vcd vorbis win32codecs x264 x86 xcb xml xmlreader xmlrpc xmlwriter xorg xscreensaver xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIRC_DEVICES="hauppauge" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 7 Lachlan Pease 2008-07-02 04:14:11 UTC
Created attachment 159221 [details]
gnome-base/libbonoboui-2.20.0 build.log

I spoke too soon - this error occurred while building -2.20.0, not -2.22.0.
The error is similar though, so I've attached my build.log ayway.
Comment 8 Andriy Baranskyy 2008-07-02 04:39:42 UTC
(In reply to comment #7)
> Created an attachment (id=159221) [edit]
> gnome-base/libbonoboui-2.20.0 build.log
> 
> I spoke too soon - this error occurred while building -2.20.0, not -2.22.0.
> The error is similar though, so I've attached my build.log ayway.
> 
I finally got mine to compile. It seems as though libbonoboui requires libbonobo of the same version. I've manually upgraded libbonobo to version 2.22.0 and libbonoboui compiled. Perhaps, some dependency check is missing in the ebuild. Try to upgrade your libbonobo first.
Comment 9 Lachlan Pease 2008-07-02 10:48:11 UTC
That worked perfectly for me, thanks

> (In reply to comment #7)
> > Created an attachment (id=159221) [edit]
> > gnome-base/libbonoboui-2.20.0 build.log
> > 
> > I spoke too soon - this error occurred while building -2.20.0, not -2.22.0.
> > The error is similar though, so I've attached my build.log ayway.
> > 
> I finally got mine to compile. It seems as though libbonoboui requires
> libbonobo of the same version. I've manually upgraded libbonobo to version
> 2.22.0 and libbonoboui compiled. Perhaps, some dependency check is missing in
> the ebuild. Try to upgrade your libbonobo first.
> 

Comment 10 Gilles Dartiguelongue gentoo-dev 2008-07-26 23:36:48 UTC
guys, could you tell against which version of libbonobo did you try to compile libbonobui respectively ? did you have libbonobo 2.16, 2.18 or 2.20 ?
Comment 11 Andriy Baranskyy 2008-07-27 00:21:57 UTC
(In reply to comment #10)
> guys, could you tell against which version of libbonobo did you try to compile
> libbonobui respectively ? did you have libbonobo 2.16, 2.18 or 2.20 ?
> 

Don't quite remember, but I think originally I was trying to compile libbonoboui-2.22 on top of libbonobo-2.16 or 2.18. Once I compiled libbonobo-2.22 the problem disappeared. Should we close the bug?
Comment 12 Arun Raghavan (RETIRED) gentoo-dev 2008-07-27 05:32:22 UTC
(In reply to comment #11)
[...]
> Don't quite remember, but I think originally I was trying to compile
> libbonoboui-2.22 on top of libbonobo-2.16 or 2.18. Once I compiled
> libbonobo-2.22 the problem disappeared. Should we close the bug?

I guess we can if there is no way to reproduce this. The only concern is that the dependecies should have automatically been installed.
Comment 13 Andriy Baranskyy 2008-07-27 05:33:53 UTC
Sounds good.
Comment 14 Gilles Dartiguelongue gentoo-dev 2008-07-31 21:43:42 UTC
* artificially raise libbonobo requirement to avoid bugs similar to bug #229611.